Mailinglist Archive: opensuse-updates (123 mails)

< Previous Next >
openSUSE-SU-2017:2845-1: moderate: Security update for freeradius-server
openSUSE Security Update: Security update for freeradius-server
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2845-1
Rating: moderate
References: #1049086
Cross-References: CVE-2017-10978 CVE-2017-10983 CVE-2017-10984
CVE-2017-10985 CVE-2017-10986 CVE-2017-10987

Affected Products:
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes 6 vulnerabilities is now available.

Description:



This update for freeradius-server fixes the following issues:

Fix a number of security issues found via fuzzing by Guido Vranken See
http://freeradius.org/security/fuzzer-2017.html for details. (boo#1049086)

- CVE-2017-10987 / FR-GV-304: DHCP - Buffer over-read in
fr_dhcp_decode_suboptions()
- CVE-2017-10986 / FR-GV-303: DHCP - Infinite read in dhcp_attr2vp()
- FR-AD-001: Use strncmp() instead of memcmp() for string data
- CVE-2017-10983 / FR-GV-206: DHCP - Read overflow when decoding option 63
- CVE-2017-10985 / FR-GV-302: Infinite loop and memory exhaustion with
'concat' attributes
- CVE-2017-10984 / FR-GV-301: Write overflow in data2vp_wimax()
- FR-AD-002: String lifetime issues in rlm_python
- FR-GV-305: Decode 'signed' attributes correctly
- CVE-2017-10978 / FR-GV-201: Read / write overflow in make_secret()


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1192=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (x86_64):

freeradius-server-3.0.12-2.9.1
freeradius-server-debuginfo-3.0.12-2.9.1
freeradius-server-debugsource-3.0.12-2.9.1
freeradius-server-devel-3.0.12-2.9.1
freeradius-server-doc-3.0.12-2.9.1
freeradius-server-krb5-3.0.12-2.9.1
freeradius-server-krb5-debuginfo-3.0.12-2.9.1
freeradius-server-ldap-3.0.12-2.9.1
freeradius-server-ldap-debuginfo-3.0.12-2.9.1
freeradius-server-libs-3.0.12-2.9.1
freeradius-server-libs-debuginfo-3.0.12-2.9.1
freeradius-server-mysql-3.0.12-2.9.1
freeradius-server-mysql-debuginfo-3.0.12-2.9.1
freeradius-server-perl-3.0.12-2.9.1
freeradius-server-perl-debuginfo-3.0.12-2.9.1
freeradius-server-postgresql-3.0.12-2.9.1
freeradius-server-postgresql-debuginfo-3.0.12-2.9.1
freeradius-server-python-3.0.12-2.9.1
freeradius-server-python-debuginfo-3.0.12-2.9.1
freeradius-server-sqlite-3.0.12-2.9.1
freeradius-server-sqlite-debuginfo-3.0.12-2.9.1
freeradius-server-utils-3.0.12-2.9.1
freeradius-server-utils-debuginfo-3.0.12-2.9.1


References:

https://www.suse.com/security/cve/CVE-2017-10978.html
https://www.suse.com/security/cve/CVE-2017-10983.html
https://www.suse.com/security/cve/CVE-2017-10984.html
https://www.suse.com/security/cve/CVE-2017-10985.html
https://www.suse.com/security/cve/CVE-2017-10986.html
https://www.suse.com/security/cve/CVE-2017-10987.html
https://bugzilla.suse.com/1049086


< Previous Next >
This Thread
  • No further messages